"use client";

import React from "react";
import dynamic from "next/dynamic";
import NavPC from "./navPC";
import NavMobile from "./navMobile";

const Nav: React.FC = () => {
  const MediaQuery = dynamic(() => import("react-responsive"), {
    ssr: false,
  });
  return (
    <>
      <MediaQuery maxWidth={767}>
        <NavMobile />
      </MediaQuery>
      <MediaQuery minWidth={768}>
        <NavPC />
      </MediaQuery>
    </>
  );
};

export default Nav;
